/**
  *  \file client/dlg-component.h
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DLG_COMPONENT_H
#define PCC_V2_CLIENT_DLG_COMPONENT_H

#include "game/spec.h"

class GGameTurn;
class GComponent;

void doBuildComponent(GGameTurn& turn, int pid,
                      TTechLevel kind, int slot,
                      const GComponent& component);

#endif
