/**
  *  \file ui/widgets/listlikenumbersel.h
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_LISTLIKENUMBERSEL_H
#define PCC_V2_UI_WIDGETS_LISTLIKENUMBERSEL_H

#include "ui/widgets/decimalsel.h"

class UIListLikeNumberSelector : public UIDecimalSelector {
    string_t label;
 public:
    UIListLikeNumberSelector(int id, string_t label, int min, int max, int step);
    ~UIListLikeNumberSelector();
    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

#endif
